//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AffiliateKind.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="AffiliateKind"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="AR"/&gt;
 *     &lt;enumeration value="AU"/&gt;
 *     &lt;enumeration value="AT"/&gt;
 *     &lt;enumeration value="BR"/&gt;
 *     &lt;enumeration value="CA"/&gt;
 *     &lt;enumeration value="CL"/&gt;
 *     &lt;enumeration value="CN"/&gt;
 *     &lt;enumeration value="HR"/&gt;
 *     &lt;enumeration value="CZ"/&gt;
 *     &lt;enumeration value="DK"/&gt;
 *     &lt;enumeration value="FI"/&gt;
 *     &lt;enumeration value="FR"/&gt;
 *     &lt;enumeration value="DE"/&gt;
 *     &lt;enumeration value="GR"/&gt;
 *     &lt;enumeration value="IN"/&gt;
 *     &lt;enumeration value="IE"/&gt;
 *     &lt;enumeration value="IT"/&gt;
 *     &lt;enumeration value="JP"/&gt;
 *     &lt;enumeration value="KR"/&gt;
 *     &lt;enumeration value="LT"/&gt;
 *     &lt;enumeration value="MX"/&gt;
 *     &lt;enumeration value="NL"/&gt;
 *     &lt;enumeration value="NZ"/&gt;
 *     &lt;enumeration value="RO"/&gt;
 *     &lt;enumeration value="SOA"/&gt;
 *     &lt;enumeration value="ES"/&gt;
 *     &lt;enumeration value="SE"/&gt;
 *     &lt;enumeration value="CH"/&gt;
 *     &lt;enumeration value="TW"/&gt;
 *     &lt;enumeration value="TR"/&gt;
 *     &lt;enumeration value="UK"/&gt;
 *     &lt;enumeration value="US"/&gt;
 *     &lt;enumeration value="UY"/&gt;
 *     &lt;enumeration value="UV"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "AffiliateKind")
@XmlEnum
public enum AffiliateKind {


    /**
     * Argentina
     * 
     */
    AR,

    /**
     * Australia
     * 
     */
    AU,

    /**
     * Austria
     * 
     */
    AT,

    /**
     * Brazil
     * 
     */
    BR,

    /**
     * Canada
     * 
     */
    CA,

    /**
     * Chile
     * 
     */
    CL,

    /**
     * China
     * 
     */
    CN,

    /**
     * Croatia
     * 
     */
    HR,

    /**
     * Czech Republic
     * 
     */
    CZ,

    /**
     * Denmark
     * 
     */
    DK,

    /**
     * Finland
     * 
     */
    FI,

    /**
     * France
     * 
     */
    FR,

    /**
     * Germany
     * 
     */
    DE,

    /**
     * Greece
     * 
     */
    GR,

    /**
     * India
     * 
     */
    IN,

    /**
     * Ireland
     * 
     */
    IE,

    /**
     * Italy
     * 
     */
    IT,

    /**
     * Japan
     * 
     */
    JP,

    /**
     * Korea
     * 
     */
    KR,

    /**
     * Lithuania
     * 
     */
    LT,

    /**
     * Mexico
     * 
     */
    MX,

    /**
     * Netherlands
     * 
     */
    NL,

    /**
     * New Zealand
     * 
     */
    NZ,

    /**
     * Romania
     * 
     */
    RO,

    /**
     * Southern Africa
     * 
     */
    SOA,

    /**
     * Spain
     * 
     */
    ES,

    /**
     * Sweden
     * 
     */
    SE,

    /**
     * Switzerland
     * 
     */
    CH,

    /**
     * Taiwan
     * 
     */
    TW,

    /**
     * Turkey
     * 
     */
    TR,

    /**
     * United Kingdom
     * 
     */
    UK,

    /**
     * United States
     * 
     */
    US,

    /**
     * Uruguay
     * 
     */
    UY,

    /**
     * Applies to all realms (unless there is a realm-specific override)
     * 
     */
    UV;

    public String value() {
        return name();
    }

    public static AffiliateKind fromValue(String v) {
        return valueOf(v);
    }

}
